
# FROM registry.cern.ch/docker.io/library/centos:centos7
FROM registry.cern.ch/docker.io/library/python:3.12-slim

RUN apt-get update &&\
    apt-get install -y --no-install-recommends git bash sudo curl &&\
    apt-get purge -y --auto-remove &&\
    rm -rf /var/lib/apt/lists/*

ARG USERNAME=demi
SHELL ["/bin/bash", "--login", "-c"]

# Add user
RUN groupadd $USERNAME ;\
    useradd -m -r -g $USERNAME $USERNAME ;\
    echo $USERNAME ALL=\(root\) NOPASSWD:ALL > /etc/sudoers.d/$USERNAME &&\
    chmod 0440 /etc/sudoers.d/$USERNAME

USER $USERNAME
ENV HOME=/home/${USERNAME}

RUN mkdir -p ${HOME}/itk-demo-sw/
WORKDIR ${HOME}/itk-demo-sw/

RUN pip install --upgrade pip
RUN pip install --no-cache-dir poetry==1.7.0
ENV PATH $HOME/.local/bin:${PATH}
RUN poetry config virtualenvs.in-project true
ENV PYTHONUNBUFFERED=TRUE